Bug 74705 - neat does not warn about makeing a main device to an alias one
neat does not warn about makeing a main device to an alias one
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 81720
  Show dependency treegraph
 
Reported: 2002-09-30 21:24 EDT by Ali-Reza Anghaie
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 10:08:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2002-09-30 21:24:10 EDT
Description of Problem: 
 
Neat seems to allow you to specify how many device aliases you want. Then it 
creates the eth#:# files with the exact same settings as the original 
interface. A) I can't see where to get at changes those alias parms unless I 
edit the file by hand (which is fine). B) It fails to initialize the device it 
made itself (no surprise as it's a dupe IP). 
 
The thing that really gets me is if I fix the alias in the file. And I launch 
'neat' again. I don't change anything, don't hit 'apply', nothing. 
 
But when I exit it re-botches the device alias but doesn't touch the main 
config. Not only that but if I just look if it still realizes there is an 
alias, it doesn't. 
 
Version-Release number of selected component (if applicable): 
 
redhat-config-network-1.1.20-1 
 
How Reproducible: 
 
Always. 
 
Steps to Reproduce: 
1. Launch 'neat' and add a device alias. Increment to one. 
2. Assuming you're ethernet you'll not have a eth0:1 in your 
/etc/sysconfig/network-scripts directory. That will have the exact IP 
information of the main interface (not good). 
3. Apply. 
4. Edit the eth0:1 file by hand to fix the alias. 
5. Re-launch 'neat' and do nothing but exit. Or perhaps look and notice it 
doesn't have a record of the device alias anymore. Then exit. 
6. Look at /etc/sysconfig/network-scripts. 'neat' changes the eth0:1 file for 
no reason, back to the broken one. 
 
Actual Results: 
 
Neat improperly sets the device alias. (Again, I didn't see how to specify it 
in the interface but at the very least it should ~not~ let the alias be the 
same IP as the main interface.) 
 
And if you fix the file, re-launch neat, and do ~nothing~. Just exit (no 
apply, nothing). It still overwrites the device alias with the broken one from 
before. 
 
Expected Results: 
 
I'd like it to be able to configure the alias (if I missed it, I apologize). 
 
It should not allow an alias to share the IP of the main interface it's being 
aliased for (or any other interface on that system). 
 
It should not change ~anything~ just by running. There should be an 'apply' or 
something. Something should've have changed. 
 
Additional Information: 
 
The profile feature in neat is, well... neat. Thanks! 
 
Cheers, -Ali
Comment 1 Ali-Reza Anghaie 2002-09-30 21:45:18 EDT
Ok, I guess I'm an idiot. Somebody showed me if you add an new interface with 
exist hardware it creates the alias. And that way WORKS all fine and dandy. 
 
But I think you should remove the 'device aliases' bit when editing the 
existing interface or make that point you to adding a new device. 
 
See what I mean? And the fact it'd manipulate those settings and create the 
alias file w/o the new interface is still odd/broken. So a lot of the above is 
still concerning I believe. 
 
Cheers, -Ali
Comment 3 Harald Hoyer 2003-08-11 10:08:08 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.